Public Class frmStammreferenzPopup

    Public mandant = ""
    Public nl = ""
    Public verfahren = ""
    Dim sql As New VERAG_PROG_ALLGEMEIN.SQL
    Sub New(mandant, nl, verfahren)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.mandant = mandant
        Me.nl = nl
        Me.verfahren = verfahren
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub

    Private Sub btn_Click(sender As Object, e As EventArgs) Handles btn.Click
        If txtBezeichnung.Text = "" Then MsgBox("Bezeichnung angeben") : Me.DialogResult = Windows.Forms.DialogResult.None
        If cboStammrefDakosy._value = "" Then MsgBox("Stammreferenz angeben") : Me.DialogResult = Windows.Forms.DialogResult.None
        If KdSearchBox1.Text <> "" And KdSearchBox1.KdNrNullInt Is Nothing Then MsgBox("Empfänger: Eingabe nur mit Kundennummer!") : Me.DialogResult = Windows.Forms.DialogResult.None
        Dim where = ""
        If KdSearchBox1.KdNrNullInt IsNot Nothing Then where = " AND [dyStr_KdNr]='" & KdSearchBox1.KdNr_value & "'  "
        If sql.getValueTxtBySql("SELECT  count(*)  FROM [tblDakosy_Stammreferenzen]  where  [dySr_Verfahren]='" & verfahren & "' AND [dySr_dy_Mandant]='" & mandant & "' AND [dySr_Bezeichnung]='" & txtBezeichnung.Text & "'" & where, "FMZOLL") > 0 Then
            MsgBox("Bezeichnung existiert bereits!") : Me.DialogResult = Windows.Forms.DialogResult.None
        End If
    End Sub

    Private Sub frmStammreferenzPopup_Load(sender As Object, e As EventArgs) Handles Me.Load
        KdSearchBox1.initKdBox(Me)


        cboStammrefDakosy.Items.Clear()
        cboStammrefDakosy.fillWithSQL("SELECT  [dySr_Stammreferenz],[dySr_Bezeichnung] + ' - ' + dySr_Stammreferenz   FROM [tblDakosy_Stammreferenzen]  where  [dySr_Verfahren]='" & verfahren & "' AND [dySr_dy_Mandant]='" & mandant & "' AND dyStr_KdNr is null", False, "FMZOLL")
        cboStammrefDakosy.changeItem("*OWN")
        If cboStammrefDakosy.Items.Count = 0 Then
            cboStammrefDakosy.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        End If
        If mandant <> "" Then lblMandant.Text = "(" & mandant & ")"
        cboNL.Items.Clear()
        Select Case mandant
            Case "VERG"
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("alle", ""))
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("SUB", "SUB"))
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("SBG", "SBG"))
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("WAI", "WAI"))
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("NEU", "NEU"))
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("NKD", "NKD"))
            Case "IMEX"
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("alle", ""))
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("IME", "IME"))
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("GLO", "GLO"))

            Case "ATIL"
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("alle", ""))
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("SUW", "SUW"))
                cboNL.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("AMBWO", "AMBWO"))
        End Select
        cboNL.changeItem(nl)

        If VERAG_PROG_ALLGEMEIN.cBerechtignunen.CHECK_BERECHTIGUNG_bool("ADMINFUNCTIONS", Me) Then
            'txtStammrefDakosy.Enabled = True
            cbxStandard.Enabled = True

            cboStammrefDakosy._allowFreiText = True
        End If
    End Sub
End Class